function onBegin()
      repeat wait() until getFlag(tostring(arguments))
      repeat
            setDarkness(getDarkness() + 0.01)
            wait()
      until getDarkness() >= 1
      setDarkness(1)
      setColorGrade("aletris/esoterica/asdf")
      teleportTo(522256,-357182,"Meeting")
      wait(2)
end